/* WIDGETS */

widget {
    display: block;
    width: 100%;
    text-align: center;
}

/* Widget All articles */

.all-articles-widget-wrapper {
    display: flex;
    width: 100%;
    height: auto;
    text-align: center;
    padding: 20px;
}

.all-articles-widget-item {
    display: inline-block;
    width: 30%;
    margin: 10px;
    text-align: left;
    border: 1px solid #ccc;
    border-radius: 15px;
    padding: 15px;
    box-sizing: border-box;
    transition: all 0.3s ease;
}
.all-articles-widget-item:hover {
    transform: scale(1.05);
}

.all-articles-widget-item img {
    width: 100%;
    height: auto;
    transition: all 0.3s;
}

.all-articles-widget-link {
    display: block;
    text-align: center;
    color: #be4212;
    text-decoration: none;
}

.all-articles-widget-title {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
    transition: all 0.3s;
}

.all-articles-widget-text {
    font-size: 14px;
    text-align: justify;
    color: #202020;
    transition: color 0.3s;
}

.all-articles-widget-link:hover .all-articles-widget-text {
    color: #be4212;
}

.all-articles-widget-date {
    text-align: left;
    font-weight: 600;
    font-size: 11px;
    color: #888;
    margin-top: 8px;
    margin-bottom: 3px;
}
.all-articles-widget-image {
    overflow: hidden;
}

@media (max-width: 768px) {
    .all-articles-widget-wrapper {
        flex-direction: column;
        align-items: center;
        padding: 0;
    }

    .all-articles-widget-item {
        width: 90%;
    }
}